apiVersion: v1
kind: Pod
metadata:
  name: nginx-html
  labels:
    app: nginx-html
spec:
  containers:
    - name: cat-file-demo
      image: nginx
      volumeMounts:
        - name: html
          mountPath: "/usr/share/nginx/html"
  volumes:
    - name: html
      configMap:
        name: nginx-html
  restartPolicy: Never